<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "RosterAPI",
  "identifier" : "/documentation/RosterAPI/returns-a-list-of-classes-for-an-Apple-School-Manager-organization",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Roster API"
    ],
    "preciseIdentifier" : "rest:roster_api:get:rosterapi-v1-classes"
  },
  "title" : "List classes"
}
-->

# List classes

List classes in an Apple School Manager organization.

## Discussion

### Example

**Request:**

```
curl "https://api-school.apple.com/rosterapi/v1/classes?limit=1" \
    -H "Authorization: Bearer ${ACCESS_TOKEN}"
```

**Response:**

```json
{
  "classes": [
    {
      "id": "1234",
      "name": "Algebra",
      "number": "101",
      "room": "PL-213",
      "locationId": "LO:1234",
      "instructorIds": [
        "1234",
        "2345"
      ],
      "studentIds": [
        "54321",
        "54322",
        "54323"
      ],
      "dateCreated": "2021-07-26T11:11:51Z",
      "dateLastModified": "2021-07-26T11:11:51Z"
    }
  ],
  "moreToFollow": true,
  "nextPageToken": "3da541559918a808c2402bba5012f6c60b27661c"
}
```

---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)